EXP(3)

NAME
PDL::GSLSF::EXP - PDL interface to GSL Special Functions

DESCRIPTION
This is an interface to the Special Function package present in the GNU Scientific Library.

SYNOPSIS

Functions

FUNCTIONS

  gsl_sf_exp
  Signature: (double x(); double [o]y(); double [o]e())

Exponential

gsl_sf_exp does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_exprel_n
  Signature: (double x(); double [o]y(); double [o]e(); int n)

N-relative Exponential. exprel_N(x) = N!/x^N (exp(x) - Sum[x^k/k!, {k,0,N-1}]) = 1 + x/(N+1) + x^2/((N+1)(N+2)) + ... = 1F1(1,1+N,x)

gsl_sf_exprel_n does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_exp_err
  Signature: (double x(); double dx(); double [o]y(); double [o]e())

Exponential of a quantity with given error.

gsl_sf_exp_err does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

AUTHOR
This file copyright (C) 1999 Christian Pellegrin <chri@infis.univ.trieste.it> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.

The GSL SF modules were written by G. Jungman.